# $Revision: 1.11 $, $Date: 2005/12/11 12:26:18 $
Summary:	Glade to OCaml compiler
Summary(pl):	Kompilator Glade do OCamla
Name:		ocaml-mlglade
Version:	0.9
Release:	3
License:	LGPL but see LICENSE
Group:		Development/Building
Vendor:		Benjamin Monate <Benjamin.Monate@lri.fr>
URL:		http://www.lix.polytechnique.fr/Labo/Benjamin.Monate/mlglade/
Source0:	http://www.lix.polytechnique.fr/Labo/Benjamin.Monate/mlglade/mlglade-%{version}.tgz
# Source0-md5:	cec50caaf0a7fbcb332cdd2963816511
BuildRequires:	autoconf
BuildRequires:	hevea >= 1.06-3
BuildRequires:	ocaml >= 3.07
# note: it is not required to build, just to use
Requires:	ocaml-lablgtk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mlglade is a tool to translate a Glade XML file into a set of modules
for OCaml.

%description -l pl
Mlglade jest narzdziem do tumaczenia plikw w formacie XML
stworzonych przez Glade w zbir moduw dla OCamla.

%prep
%setup -q -n mlglade

%build
# this doesn't really matter (package makes little use of autoconf)
%{__autoconf}
%configure
sed -e 's/-g//' Makefile > Makefile.tmp
mv -f Makefile.tmp Makefile
%{__make}
%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install mlglade.opt $RPM_BUILD_ROOT%{_bindir}/mlglade
install mlglade.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS README CHANGES LICENCE TODO tutorial/*.html tutorial/*.png
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-mlglade.spec,v $
Revision 1.11  2005/12/11 12:26:18  baggins
- release 3
- req rebuilt hevea

Revision 1.10  2005/12/10 18:44:07  baggins
- release 2 for ocaml 3.09.0

Revision 1.9  2003/09/03 22:30:20  malekith
- up to 0.9; ocaml 3.07

Revision 1.8  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/08/12 12:06:05  malekith
- up to 0.6
- new %doc

Revision 1.5  2002/05/21 23:14:17  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/05/14 19:10:49  qboosh
- BR: autoconf

Revision 1.3  2002/05/13 11:00:54  malekith
- fixed previous commit message

Revision 1.2  2002/05/13 10:54:07  malekith
- removed -g from ocamlc flags

Revision 1.1  2002/05/09 15:26:28  malekith
- initial; from scratch

